
Foreman - Bug #2386

No way to set create_lookupvalue and related permissions

04/10/2013 04:49 AM - David Schmitt

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Users, Roles and Permissions   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi,

users who are not Admin cannot configure overrides for class vars as this would require the create_lookupvar permission as

demonstrated by the attached "you do not have permission to create this lookupvalue" when trying to add an override.

I've not found this permission in the Role editor nor in the Permission report (nor in the source).

This is foreman-1.1stable-3.el6.noarch running on Red Hat Enterprise Linux Server release 6.3 (Santiago).

Related issues:

Related to Foreman - Bug #2645: non-admin users can not create a Smart Variab... Closed 06/10/2013

Associated revisions

Revision 6c492cce - 06/06/2013 10:15 AM - Joseph Magen

fixes #2386 - permission failure on create_lookup_value

Revision c81387d3 - 06/06/2013 11:20 AM - Joseph Magen

fixes #2386 - permission failure on create_lookup_value

(cherry picked from commit 6c492cce87e0f2ec6c9f4a15115f4394ce542979)

History

#1 - 05/17/2013 08:39 AM - David Schmitt

- Target version set to 1.2.0

#2 - 05/30/2013 02:23 PM - Ohad Levy

- Assignee set to Joseph Magen

#3 - 06/03/2013 04:17 AM - Joseph Magen

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/679

#4 - 06/06/2013 11:17 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6c492cce87e0f2ec6c9f4a15115f4394ce542979.
